Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/OGR

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 18053

Description

Axis order in GML files is still an issue.

I am working with GML files having the data in EPSG:2169.

According to the EPSG Registry, the correct axis order for that coordinate system is North,East and not East,North.

I can not visualize the data correctly in QGIS as it shows it E,N and there is now way to specify any options (as for WMS eg).

History

#1 - 2014-01-30 08:09 AM - Jeff Konnen

if the SRS is specified like this: urn:ogc:def:crs:EPSG:2169 it is OK, if it is specified like this: EPSG:2169, it is not OK

#2 - 2014-01-31 01:51 AM - Jürgen Fischer

See also  GML - Geography Markup Language, section CRS support and  Axes order issue in GML file

#3 - 2014-01-31 01:57 AM - Jeff Konnen

I think setting GML_CONSIDER_EPSG_AS_URN to YES by default would help

#4 - 2014-06-21 12:33 PM - Jürgen Fischer

- Category set to Data Provider/OGR

#5 - 2015-11-20 06:30 AM - Antonio Locandro

Any update on this item? It seems the issue is upstream, but can anything be done in QGIS to force it to respect axis order when reading GML files.

#6 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#7 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed
http://gdal.org/ogr/drv_gml.html
http://lists.osgeo.org/pipermail/gdal-dev/2014-January/038004.html


End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
